Index: tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-empty.at
===================================================================
--- tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-empty.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,30 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing pcp
+
+AT_SETUP([Parser - loading empty conf file])
+AT_KEYWORDS([parser input pcp emptyfile])
+
+file=empty.conf
+AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/empty.conf $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0)
+AT_CHECK([../../molecuilder --dry-run -i $file -o pcp --no-dry-run --store-session session-parser-pcp-empty.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-empty.py >session-parser-pcp-empty_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-empty_new.py], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-load-multiply.at
===================================================================
--- tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-load-multiply.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-load-multiply.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,34 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing pcp
+
+AT_SETUP([Parser - loading twice the same conf file])
+AT_KEYWORDS([parser load pcp select-molecule-by-order select-molecules-atoms translate-atoms])
+
+srcfile=water.conf
+destfile=doublewater.conf
+AT_CHECK([../../molecuilder --dry-run -i $destfile -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/$srcfile --no-dry-run --store-session session-parser-pcp-load-multiply.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-load-multiply.py >session-parser-pcp-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $destfile -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/$srcfile --select-molecule-by-order -1 --select-molecules-atoms --translate-atoms --position "2,0,0" --no-dry-run --store-session session-parser-pcp-load-multiply.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-load-multiply.py >session-parser-pcp-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-load-multiply_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff $destfile ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/$destfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-load.at
===================================================================
--- tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-load.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,50 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing pcp
+
+AT_SETUP([Parser - loading conf file])
+AT_KEYWORDS([parser load pcp])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/test.conf --no-dry-run --store-session session-parser-pcp-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-load.py >session-parser-pcp-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading conf file with Undo])
+AT_KEYWORDS([parser load pcp undo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/test.conf --undo --no-dry-run --store-session session-parser-pcp-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-load.py >session-parser-pcp-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/empty.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading conf file with Redo])
+AT_KEYWORDS([parser load pcp redo])
+
+AT_CHECK([../../molecuilder --dry-run -i test.conf -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/test.conf --undo --redo --no-dry-run --store-session session-parser-pcp-load.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-load.py >session-parser-pcp-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-load_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=test.conf; diff $file ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at
===================================================================
--- tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-multiple-timesteps.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,50 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing pcp
+
+AT_SETUP([Parser - loading conf with multiple time steps])
+AT_KEYWORDS([parser load pcp timesteps])
+
+AT_CHECK([../../molecuilder --dry-run -i testmulti.conf -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/testmulti.conf --no-dry-run --store-session session-parser-pcp-multiple-timesteps.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-multiple-timesteps.py >session-parser-pcp-multiple-timesteps_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-multiple-timesteps_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti.conf; diff $file ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/testmulti.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading conf with multiple time steps with Undo])
+AT_KEYWORDS([parser load pcp timesteps undo])
+
+AT_CHECK([../../molecuilder --dry-run -i testmulti.conf -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/testmulti.conf --undo --no-dry-run --store-session session-parser-pcp-multiple-timesteps.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-multiple-timesteps.py >session-parser-pcp-multiple-timesteps_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-multiple-timesteps_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti.conf; diff $file ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/empty.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Parser - loading conf with multiple time steps with Redo])
+AT_KEYWORDS([parser load pcp timesteps redo])
+
+AT_CHECK([../../molecuilder --dry-run -i testmulti.conf -o pcp -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/testmulti.conf --undo --redo --no-dry-run --store-session session-parser-pcp-multiple-timesteps.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-multiple-timesteps.py >session-parser-pcp-multiple-timesteps_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-multiple-timesteps_new.py], 0, [ignore], [ignore])
+AT_CHECK([file=testmulti.conf; diff $file ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/testmulti.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-save.at
===================================================================
--- tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-save.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Parser/Pcp/testsuite-parser-pcp-save.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,29 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### parsing pcp
+
+
+AT_SETUP([Parser - saving conf file])
+AT_KEYWORDS([parser output pcp])
+
+AT_CHECK([../../molecuilder --dry-run -l ${abs_top_srcdir}/tests/regression/Parser/Pcp/pre/test.conf --output-as store.conf --no-dry-run --store-session session-parser-pcp-save.py --session-type python], 0, [ignore], [ignore])
+AT_CHECK([grep -v "Command.*DryRun" session-parser-pcp-save.py >session-parser-pcp-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-parser-pcp-save_new.py], 0, [ignore], [ignore])
+AT_CHECK([diff store.conf ${abs_top_srcdir}/tests/regression/Parser/Pcp/post/test.conf], 0, [ignore], [ignore])
+
+AT_CLEANUP
